org.codehaus.plexus.component.composition

## Class NoOpComponentComposer

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.codehaus.plexus.component.composition.AbstractComponentComposer
    - - org.codehaus.plexus.component.composition.NoOpComponentComposer

All Implemented Interfaces:
  ComponentComposer, LogEnabled

    public class NoOpComponentComposer
    extends AbstractComponentComposer

No Op component composer. It's meant to be used with component personalities which support constructor dependecy injection

Version:
  $Id: NoOpComponentComposer.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Michal Maczka

### Field Summary

### Fields inherited from interface org.codehaus.plexus.component.composition.ComponentComposer

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`NoOpComponentComposer()`

### Method Summary

Methods
`List` `assembleComponent(Object component, ComponentDescriptor componentDescriptor, PlexusContainer container)`
`String` `getId()`

### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoOpComponentComposer

    public NoOpComponentComposer()

### Method Detail

#### getId

    public String getId()

Specified by:
  `getId` in interface `ComponentComposer`
Overrides:
  `getId` in class `AbstractComponentComposer`

#### assembleComponent

    public List assembleComponent(Object component,
                         ComponentDescriptor componentDescriptor,
                         PlexusContainer container)

Returns:
  List of ComponentDescriptors which were used by ComponentComposer